// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package consts

// 车牌长度定义
const (
	VINLEN      = 17
	PLATELEN    = 6
	PLATENEWLEN = 7
)

// 时间格式常量定义
const (
	DataLen      = len("2006-01-02")
	MonthLen     = len("2006-01")
	DaySecLen    = len("2006-01-02 15:04:05")
	DayLayout    = "2006-01-02"
	DaySecLayout = "2006-01-02 15:04:05"
	DayLayout2   = "2006/1/2"
	DaySecond    = 24 * 60 * 60
	SecondTime   = 60
)

// 环定义
const (
	RANGEZERO  = 0
	RANGEONE   = 1
	RANGETWO   = 2
	RANGETHREE = 3
	RANGEFOURE = 4
	RANGEFIVE  = 5
	RANGESIX   = 6
	RANGESEVEN = 7
)

const DAYSECOND = 24 * 60 * 60
const MINUTESECOND = 60

const (
	CdbdTwoElementVerifyPre       = "cdbd:two-element:"
	DybdTwoElementVerifyPre       = "dybd:two-element:"
	DyTwoElementVerifyPre         = "dy:two-element:"
	ZRTwoElementVerifyPre         = "zr:two-element:"
	ZRNationalTwoElementVerifyPre = "zr:two-element-national:"
	ZRNationalVehicleInfoPre = "zr:vehicle-info:"
	ZRNationalVehicleVinPre = "zr:vehicle-vin:"
	ZRNationalVehicleFivePre = "zr:vehicle-five:"
)
