package order

import (
	"context"
	"gd_vehicle/apis"
	"encoding/json"
	"testing"
)

func Test_VehicleGetConfiguration(t *testing.T) {
	req := apis.VehicleGetConfigurationReq{AppKey: "123456", PlateNo: "川A33E22"}
	reply := apis.VehicleGetConfigurationReply{}
	if err := xcli.Call(context.Background(), "VehicleGetConfiguration", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}
