package utils

import jsoniter "github.com/json-iterator/go"

func Convertion(dest map[string]string, source string) {
	s := make(map[string]string)
	err := jsoniter.UnmarshalFromString(source, &s)
	if err != nil {
		return
	}
	for k, v := range s {
		// TODO 字段检查是否合规
		// 判断是否非生产环境，非生产环境检查
		if value, ok := dest[k]; ok {
			if value == "" {
				dest[k] = v
			}
		} else {
			dest[k] = v
		}
	}

	return
}

// 覆盖
func ConvertionCover(dest map[string]string, source string) {
	s := make(map[string]string)
	err := jsoniter.UnmarshalFromString(source, &s)
	if err != nil {
		return
	}
	for k, v := range s {
		dest[k] = v
	}
	return
}
