package adm

import (
	"gd_vehicle/apis"
	"gd_vehicle/consts"
	"gd_vehicle/errors"

	"github.com/tidwall/gjson"
)

func V01(req *apis.ThirdpartRequest, respMap map[string]string) error {
	//req.LReq.Search = req.Params["plate_no"]
	req.ProviderInfo.ThirdpartApiRouter = consts.V01
	str, err := AdmRequest(req)
	if err != nil {
		return  err
	}
	if str == "" {
		return errors.VendorError
	}
	respMap["is_match"] = gjson.Get(str, "is_match").String()

	return  nil
}
